# -*- coding: utf-8 -*-
from twisted.application import service, strports 
from twisted.internet import reactor 
from nevow import appserver 
from nevow.i18n import I18NConfig 
from nevow import inevow 
 
from ead2.frontend.config.config import FRONTEND_LISTEN_PORT, APP_NAME, I18N_DIR 
from ead2.frontend.web.errorpage import Page404, Page500 
from ead2.lib.libsecure import ServerContextFactory 
from ead2.frontend.web import page
from ead2.frontend.web.lib.tools import clean_datas

# suppression des donnees web deja telechargees
clean_datas()
root = page.Page() 
root.remember(I18NConfig(domain=APP_NAME, localeDir=I18N_DIR), inevow.II18NConfig) 
 
# page d'erreur HTTP 
root.remember(Page404(), inevow.ICanHandleNotFound) 
root.remember(Page500(), inevow.ICanHandleException) 
 
site = appserver.NevowSite(root) 
 
application = service.Application('ead2') 
reactor.listenSSL(FRONTEND_LISTEN_PORT, site, ServerContextFactory()) 
