# -*- coding: utf-8 -*-
""" Page d'accueil de l'ead2 """
from twisted.python import log
from nevow import loaders, tags as T, static, rend, inevow

class Accueil(rend.Fragment):
    """ accueil de l'ead
    """
    docFactory = loaders.xmlstr('''\
                   <div xmlns:nevow="http://nevow.com/ns/nevow/0.1">
                            <span nevow:render="main"/>
                    </div>
                            ''')

    def render_main(self, ctx, data):
        """ rend la partie centrale """
        session = inevow.ISession(ctx)
        tag = T.center[ T.img(src="/image/logo-eole.png"),
                T.br(),
                T.h2["Eole Admin, outil d'administration à distance des modules Eole"],
                ]
        if session.magic_number is not None:
            tag.children.append(T.font(color='#000', size='4')[
                                    T.b(style="text-transform:uppercase; color:#fd2345")[
                                    T.img(src='/image/warning.png', style="vertical-align:middle"),
                                    T.br(),
                                    'UN UTILISATEUR EST CONNECTé']])
        else:
            tag.children.append(T.font(color='#000', size='4')[T.b['CONNECTEZ-VOUS A UN SERVEUR']])
            tag.children.append(T.h2["CLIQUEZ SUR L'ONGLET DE VOTRE CHOIX"])
        return tag

