# -*- coding: utf-8 -*-
""" page d'erreur """
from nevow import loaders, tags as T, rend
from nevow.url import URL, here



class ErrorPage(rend.Page):
    """ fragment de page pour le renvoit d'erreur    """
    docFactory = loaders.xmlstr("""<html><head></head><body> <div xmlns:nevow="http://nevow.com/ns/nevow/0.1"><div nevow:render='message'></div></div></body></html>""")

    def __init__(self, message):
        """ :message: message a afficher dans la page d'erreur """
        self.message = message

    def render_message(self, ctx, data):
        url = URL.fromContext(ctx).clear();
        url = url.parentdir().parentdir().parentdir();
        return T.div[self.message, T.br(), T.a(href=url)["RETOUR A LA PAGE D'ACCEUIL"]]
