# -*- coding: utf-8 -*-
""" onglet listant les serveurs enregistres sur l'ead """
from twisted.python import log
from nevow import loaders, rend, tags as T, inevow
from nevow.flat import flatten
from nevow.url import URL
from ead2.frontend.web.config import ENCODING, TEST_SOCKET_TIMEOUT
from ead2.frontend.web.lib.tools import servers
import xmlrpclib, socket

class Tabs(rend.Fragment):
    """ liste des serveurs à administrer """
    docFactory = loaders.xmlstr('''\
                               <div xmlns:nevow="http://nevow.com/ns/nevow/0.1">
                                     <span nevow:render="servers"/>
                                </div>
                                ''')
    def render_servers(self, ctx, data):
        """ :ctx: contexte de la page d'origine """
        session = inevow.ISession(ctx)
        self._url = URL.fromContext(ctx).clear().parentdir().child('')
        self.current_server = session.current_server
        if session.current_server is not None:
            message = "Vous etes connecte au serveur %s"%self.current_server
        else:
            message = 'Connectez-vous à un serveur'
        message = message.upper()
        return [self._servers()]
    
    def _servers(self):
        #construit l'URL au format https://xx.xx.xx.xx:9080
        #avec tmp[0] = https, tmp[1]=xx.xx.xx.xx:9080
        ul = []
        data = servers().get_server()
        keys = data.keys()
        keys.sort()
        for key in keys:
            url, port, comment, cle = data[key]
            serv = xmlrpclib.ServerProxy("%s:%s"%(url,port))
            ok = True
            socket.setdefaulttimeout(TEST_SOCKET_TIMEOUT)
            try:
                #backend joignable
                t = serv.is_alive()
            except socket.error:
                #backend injoignable
                log.err('Backend injoignable')
                ok = False
            except:
                ok = False
            style_a = 'server_alive'
            _url = self._url.sibling('connect').child('')
            _url = _url.add('server',key)
            link = str(_url)
            if not ok:   
                style_a = 'server_dead'
                link = "#"
            if self.current_server == key and ok:
                style_a = 'server_active'
                current_tag = T.li(_id="current", _class=style_a+'_li')
            else:
                current_tag = T.li(_class=style_a+'_li')
            ul.append(current_tag[ T.a(_class=style_a, href=link, title='URL = %s - Port = %s'%(url, port)
                                         )[comment]
                                 ])
        return T.ul[ul]
